## kfilemetadata-kf5 5.0.0a

=== CMakeLists.txt ===
project(kfilemetadata)
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMAddTests)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

set(KF5_VERSION "5.0.0")
set(REQUIRED_QT_VERSION "5.2.0")

ecm_setup_version(5.0.0
                  VARIABLE_PREFIX KFILEMETADATA
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfigVersion.cmake"
                  SOVERSION 1)

# Build dependencies
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Xml)
find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS I18n Service Archive)

find_package(PopplerQt5 0.12.1)
set_package_properties(PopplerQt5 PROPERTIES DESCRIPTION "A PDF rendering library"
                       URL "http://poppler.freedesktop.org" TYPE OPTIONAL
                       PURPOSE "Support for PDF files")

find_package(Taglib)
set_package_properties(Taglib PROPERTIES DESCRIPTION "Id3 tag reader"
                       URL "http://developer.kde.org/~wheeler/taglib.html" TYPE OPTIONAL
                       PURPOSE "Support for music metadata")

find_package(Exiv2 0.21)
set_package_properties(Exiv2 PROPERTIES DESCRIPTION "Image Tag reader"
                       URL "http://www.exiv2.org" TYPE OPTIONAL
                       PURPOSE "Support for image metadata")

find_package(FFmpeg 1.0)
set_package_properties(FFmpeg PROPERTIES DESCRIPTION "Video Tag reader"
                       URL "http://ffmpeg.org" TYPE OPTIONAL
                       PURPOSE "Support for video metadata")

find_package(EPub)
set_package_properties(EPub PROPERTIES DESCRIPTION "Ebook epub reader"
                       URL "http://sourceforge.net/projects/ebook-tools" TYPE OPTIONAL
                       PURPOSE "Support for epub metadata")

#find_package(QMobipocket)
#set_package_properties(QMobipocket PROPERTIES DESCRIPTION "Mobipocket epub reader"
#                       URL "https://projects.kde.org/projects/kde/kdegraphics/kdegraphics-mobipocket"
#                       TYPE OPTIONAL PURPOSE "Support for mobi metadata")

add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(autotests)
  add_subdirectory(test)
endif()

# Config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5FileMetaData")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5FileMetaDataConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT devel
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory(po)

=== debian/changelog ===
kfilemetadata-kf5 (5.0.0a-0ubuntu2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 22:08:10 +0100

kfilemetadata-kf5 (5.0.0a-0ubuntu1) utopic; urgency=medium

  * Upload to Ubuntu archive to upgrade Baloo to KF5
  * Rename source to allow kdelibs4 version to co-exist

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jul 2014 17:20:53 +0200

kfilemetadata (5.0.0a-0ubuntu1~ubuntu14.10~ppa4) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update install file
  * Remove -data package
  * Fix Vcs
  * Add Replace -data
  * New upstream tarball
  * Add new lib
  * Add replace/conflict to resolve file conflict on install
  * Update watch to http://download.kde.org

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 21:17:20 +0200

kfilemetadata (4:4.98.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream RC release
  * Upstream renamed to kfilemetadata

  [ Scarlett Clark ]
  * Fix install files, rename package to match lib.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 14:36:36 +0200

kfilemetadata5 (4:4.97.0-0ubuntu1) utopic; urgency=medium

  * Initial release.
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:22:00 +0100

=== debian/control ===
Source: kfilemetadata-kf5
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Scarlett Clark <scarlett@scarlettgatelyclark.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.0.0),
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libavutil-dev,
               libepub-dev,
               libexiv2-dev,
               libkf5archive-dev (>= 5.0.0),
               libkf5config-dev (>= 5.0.0),
               libkf5coreaddons-dev (>= 5.0.0),
               libkf5dbusaddons-dev (>= 5.0.0),
               libkf5i18n-dev (>= 5.0.0),
               libkf5service-dev (>= 5.0.0),
               libpoppler-qt5-dev,
               libpostproc-dev,
               libswscale-dev,
               libtag1-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.5
Section: kde
Homepage: https://projects.kde.org/projects/kde/workspace/kfilemetadata
Vcs-Browser: https://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kfilemetadata
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kfilemetadata

Package: libkf5filemetadata1
Section: libs
Architecture: any
Conflicts: libkf5filemetadata5
Replaces: libkf5filemetadata5
Depends: libkf5filemetadata-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.

Package: libkf5filemetadata-data
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.

Package: libkf5filemetadata-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata1-dev
Section: libdevel
Architecture: any
Depends: libkf5filemetadata1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5filemetadata-dev
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: kf5filemetadata1-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5filemetadata1 (= ${binary:Version}), ${misc:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kf5filemetadata1-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/src/kfilemetadata-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/kfilemetadata-(.*)\.tar\.xz

## kfilemetadata-kf5 5.6.2

=== debian/changelog ===
kfilemetadata-kf5 (5.6.2-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Release to Archive

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 19 Mar 2015 21:25:01 -0700

kfilemetadata-kf5 (5.6.1-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Resolve transitional problems from lib2 to lib3 package with
    APT. Apt would refuse to upgrade the new (re-introduced) data
    package as it replaces and breaks the lib2 package and for some
    reason Apt considers the data package to be less useful, so it
    will hold lib2 and not upgrade which in turn results in the
    removal of plama-desktop & plasma-workspace as they need lib3.
    To prevent this problem also replicate the transition relationship
    onto the lib3 package (now breaks/replaces the lib2 package). This
    seems to give a sufficiently important package the breaks such
    that apt would choose to remove lib2 and install lib3.
    This transition is slightly unfortunate alltogether as it only
    ended up being so complicated by having data in the lib package
    to begin with.
  * Also soften the transitional relationship of the -data package.
    Originally it had use Conflicts where it should have used Breaks
    because files had simply moved about, there is no inherent conflict.

  [ Scarlett Clark ]
  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Mon, 23 Feb 2015 09:52:52 -0800

kfilemetadata-kf5 (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Soversion bump from 2 to 3
  * Rename all packages accordingly
  * Fix up install file accordingly
  * Fix Replace/Conflict of the library package libkf5filemetadata5
    (a previously incorrectly used name) to use an actual version,
    otherwise we cannot ever go there again
  * Split translations into a data package to avoid file conflicts on
    soversion bumps and subsequently forgetting to add a conflict in the
    packaging

 -- Harald Sitter <sitter@kde.org>  Mon, 26 Jan 2015 13:58:41 +0100

kfilemetadata-kf5 (5.5.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 13:56:26 +0100

kfilemetadata-kf5 (5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:43:03 +0100

kfilemetadata-kf5 (5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Oct 2014 15:44:16 +0200

kfilemetadata-kf5 (5.0.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Rename -dev package without version for consistency.
  * Add replace/ break to the old package.
  * Remove no-human-maintainers lintian-override per ScottK 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:04:40 -0700

kfilemetadata-kf5 (5.0.1-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 16:54:52 +0200

=== debian/control ===
Source: kfilemetadata-kf5
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libavutil-dev,
               libepub-dev,
               libexiv2-dev,
               libkf5archive-dev (>= 5.2.0),
               libkf5config-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.2.0),
               libkf5dbusaddons-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5service-dev (>= 5.2.0),
               libpoppler-qt5-dev,
               libpostproc-dev,
               libswscale-dev,
               libtag1-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Section: kde
Homepage: https://projects.kde.org/projects/kde/workspace/kfilemetadata
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kfilemetadata.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kfilemetadata.git

Package: libkf5filemetadata3
Section: libs
Architecture: any
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5filemetadata2 (<< 5.6.0)
Replaces: libkf5filemetadata2 (<< 5.6.0)
Multi-Arch: same
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.

Package: libkf5filemetadata-data
Architecture: all
Breaks: libkf5filemetadata2 (<< 5.6.0), libkf5filemetadata5 (<< 5.0.0a)
Replaces: libkf5filemetadata2 (<< 5.6.0), libkf5filemetadata5 (<< 5.0.0a)
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.

Package: libkf5filemetadata-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-dev
Section: libdevel
Architecture: any
Depends: libkf5filemetadata3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5filemetadata1-dev
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: kf5filemetadata3-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5filemetadata3 (= ${binary:Version}), ${misc:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the debugging symbols.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/kfilemetadata-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/kfilemetadata-(.*)\.tar\.xz

## kfilemetadata-kf5 5.15.0

=== debian/changelog ===
kfilemetadata-kf5 (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport. 

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:48:18 +0100

kfilemetadata-kf5 (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:16:36 +0100

kfilemetadata-kf5 (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:06:05 +0200

kfilemetadata-kf5 (5.9.2-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport 
  * Add new build dependency catdoc. 
  * Add comma new depend. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 06 Jul 2015 09:40:58 -0700

kfilemetadata-kf5 (5.9.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:27:10 +0000

kfilemetadata-kf5 (5.9.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Jun 2015 20:22:09 +0200

kfilemetadata-kf5 (5.6.2-0ubuntu1.1) vivid; urgency=medium

  * Add runtime depends on catdoc LP: #1449472

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Apr 2015 12:05:35 +0200

kfilemetadata-kf5 (5.9.1-1~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.9.0).
  * Update symbols files.
  * New upstream release (5.9.1).

  [ Felix Geyer ]
  * Move qtbase5-dev dependency from libkf5filemetadata3 to
    libkf5filemetadata-dev. (Closes: #789655)
  * Remove XS-Testsuite control field, dpkg adds it automatically.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:55:17 +0200

kfilemetadata-kf5 (5.6.2-1) experimental; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Maximiliano Curia ]
  * Prepare Debian release. (5.6.1-1)
  * New upstream release (5.6.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:38 +0100

kfilemetadata-kf5 (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Resolve transitional problems from lib2 to lib3 package with
    APT. Apt would refuse to upgrade the new (re-introduced) data
    package as it replaces and breaks the lib2 package and for some
    reason Apt considers the data package to be less useful, so it
    will hold lib2 and not upgrade which in turn results in the
    removal of plama-desktop & plasma-workspace as they need lib3.
    To prevent this problem also replicate the transition relationship
    onto the lib3 package (now breaks/replaces the lib2 package). This
    seems to give a sufficiently important package the breaks such
    that apt would choose to remove lib2 and install lib3.
    This transition is slightly unfortunate alltogether as it only
    ended up being so complicated by having data in the lib package
    to begin with.
  * Also soften the transitional relationship of the -data package.
    Originally it had use Conflicts where it should have used Breaks
    because files had simply moved about, there is no inherent conflict.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Add acc autopkgtests.
  * Update watch file.
  * Add missing dev dependency (thanks to acc headers check)
  * Add breaks/replaces with kde-l10n for the translation files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 Feb 2015 11:49:56 +0100

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: catdoc,
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               libattr1-dev,
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkf5archive-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libpostproc-dev,
               libswscale-dev,
               libtag1-dev (>= 1.9~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kfilemetadata
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kfilemetadata.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kfilemetadata.git

Package: libkf5filemetadata3
Section: libs
Architecture: any
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5filemetadata2 (<< 5.6.0)
Replaces: libkf5filemetadata2 (<< 5.6.0)
Multi-Arch: same
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Breaks: kde-l10n (<= 4:4.14.0-1),
        libkf5filemetadata2 (<< 5.6.0),
        libkf5filemetadata5 (<< 5.0.0a)
Replaces: kde-l10n (<= 4:4.14.0-1),
          libkf5filemetadata2 (<< 5.6.0),
          libkf5filemetadata5 (<< 5.0.0a)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: catdoc
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-dev
Section: libdevel
Architecture: any
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5filemetadata1-dev
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

Package: kf5filemetadata3-dbg
Section: debug
Priority: extra
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5filemetadata3 (= ${binary:Version}), ${misc:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kf5filemetadata3-dbg

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## kfilemetadata-kf5 5.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,37 +1,42 @@
-project(kfilemetadata)
 cmake_minimum_required(VERSION 2.8.12)
 
-find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+project(kfilemetadata)
 
-set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
+include(FeatureSummary)
+find_package(ECM 5.18.0  NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
+include(KDEFrameworkCompilerSettings)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
 include(ECMAddTests)
-include(FeatureSummary)
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
-set(KF5_VERSION "5.0.0")
-set(REQUIRED_QT_VERSION "5.2.0")
+set(KF5_VERSION "5.18.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
 
-ecm_setup_version(5.0.0
+ecm_setup_version(${KF5_VERSION}
                   VARIABLE_PREFIX KFILEMETADATA
                   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5FileMetaDataConfigVersion.cmake"
-                  SOVERSION 1)
+                  SOVERSION 3)
 
-# Build dependencies
+# Dependencies
+set(REQUIRED_QT_VERSION 5.3.0)
+
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Xml)
-find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS I18n Service Archive)
+find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS I18n Archive)
 
 find_package(PopplerQt5 0.12.1)
 set_package_properties(PopplerQt5 PROPERTIES DESCRIPTION "A PDF rendering library"
                        URL "http://poppler.freedesktop.org" TYPE OPTIONAL
                        PURPOSE "Support for PDF files")
 
-find_package(Taglib)
+find_package(Taglib 1.9)
 set_package_properties(Taglib PROPERTIES DESCRIPTION "Id3 tag reader"
                        URL "http://developer.kde.org/~wheeler/taglib.html" TYPE OPTIONAL
                        PURPOSE "Support for music metadata")
@@ -51,19 +56,30 @@
                        URL "http://sourceforge.net/projects/ebook-tools" TYPE OPTIONAL
                        PURPOSE "Support for epub metadata")
 
+find_package(CatDoc)
+set_package_properties(CatDoc PROPERTIES DESCRIPTION "catdoc executable"
+                       URL "http://www.wagner.pp.ru/~vitus/software/catdoc/" TYPE OPTIONAL
+                       PURPOSE "Extract text from office 98 files - RUNTIME dependency")
+
 #find_package(QMobipocket)
 #set_package_properties(QMobipocket PROPERTIES DESCRIPTION "Mobipocket epub reader"
 #                       URL "https://projects.kde.org/projects/kde/kdegraphics/kdegraphics-mobipocket"
 #                       TYPE OPTIONAL PURPOSE "Support for mobi metadata")
 
+add_definitions(-DTRANSLATION_DOMAIN=\"kfilemetadata\")
+
 add_subdirectory(src)
 if (BUILD_TESTING)
   add_subdirectory(autotests)
-  add_subdirectory(test)
+  add_subdirectory(tests)
 endif()
 
 # Config files
 set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5FileMetaData")
+
+if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
+    ki18n_install(po)
+endif()
 
 include(ECMPackageConfigHelpers)
 
@@ -81,6 +97,3 @@
 )
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-include(ECMOptionalAddSubdirectory)
-ecm_optional_add_subdirectory(po)

=== src/extractors/CMakeLists.txt ===
if(POPPLER_QT5_FOUND)
    include_directories(${POPPLER_QT5_INCLUDE_DIR})

    add_library(kfilemetadata_popplerextractor MODULE popplerextractor.cpp)

    target_link_libraries(kfilemetadata_popplerextractor
        KF5::FileMetaData
        ${POPPLER_QT5_LIBRARIES}
    )

    install(
    TARGETS kfilemetadata_popplerextractor
    DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

endif()

if(TAGLIB_FOUND)
    include_directories( ${TAGLIB_INCLUDES} )

    add_library(kfilemetadata_taglibextractor MODULE taglibextractor.cpp )

    target_link_libraries( kfilemetadata_taglibextractor
        KF5::FileMetaData
        ${TAGLIB_LIBRARIES}
    )

    install(
    TARGETS kfilemetadata_taglibextractor
    DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

endif()

if(EXIV2_FOUND)
    include_directories( ${EXIV2_INCLUDE_DIR} )

    kde_enable_exceptions()
    add_library(kfilemetadata_exiv2extractor MODULE exiv2extractor.cpp)

    target_link_libraries(kfilemetadata_exiv2extractor
        KF5::FileMetaData
        ${EXIV2_LIBRARIES}
    )

    install(
    TARGETS kfilemetadata_exiv2extractor
    DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

endif()

if(FFMPEG_FOUND)
    include_directories( ${FFMPEG_INCLUDE_DIRS} )

    add_library(kfilemetadata_ffmpegextractor MODULE ffmpegextractor.cpp)

    target_link_libraries(kfilemetadata_ffmpegextractor
        KF5::FileMetaData
        ${FFMPEG_LIBRARIES}
    )

    install(
    TARGETS kfilemetadata_ffmpegextractor
    DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

endif()


if(EPUB_FOUND)
    include_directories( ${EPUB_INCLUDE_DIR} )

    add_library(kfilemetadata_epubextractor MODULE epubextractor.cpp)

    target_link_libraries(kfilemetadata_epubextractor
        KF5::FileMetaData
        ${EPUB_LIBRARIES}
    )

    install(
    TARGETS kfilemetadata_epubextractor
    DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

endif()

#
# Plain Text
#
add_library(kfilemetadata_plaintextextractor MODULE plaintextextractor.cpp)

target_link_libraries( kfilemetadata_plaintextextractor
    KF5::FileMetaData
)

install(
TARGETS kfilemetadata_plaintextextractor
DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

#
# PO
#
add_library(kfilemetadata_poextractor MODULE poextractor.cpp)
target_link_libraries( kfilemetadata_poextractor
    KF5::FileMetaData
)

install(
TARGETS kfilemetadata_poextractor
DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

#
# ODF
#

add_library(kfilemetadata_odfextractor MODULE odfextractor.cpp)

target_link_libraries(kfilemetadata_odfextractor
    KF5::FileMetaData
    Qt5::Core
    Qt5::Xml
    KF5::Archive
)

install(
TARGETS kfilemetadata_odfextractor
DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

#
# Office 2007
#

add_library(kfilemetadata_office2007extractor MODULE office2007extractor.cpp)

target_link_libraries(kfilemetadata_office2007extractor
    KF5::FileMetaData
    Qt5::Core
    Qt5::Xml
    KF5::Archive
)

install(
TARGETS kfilemetadata_office2007extractor
DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

#
# Office (binary formats)
#

add_library(kfilemetadata_officeextractor MODULE officeextractor.cpp)

target_link_libraries(kfilemetadata_officeextractor
    KF5::FileMetaData
)

install(
TARGETS kfilemetadata_officeextractor
DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

#
# Mobipocket
#
if (QMOBIPOCKET_FOUND)
    add_library(kfilemetadata_mobiextractor MODULE mobiextractor.cpp)

    include_directories(${QMOBIPOCKET_INCLUDE_DIR})
    target_link_libraries(kfilemetadata_mobiextractor
        KF5::FileMetaData
        ${QMOBIPOCKET_LIBRARIES}
    )

    install(
    TARGETS kfilemetadata_mobiextractor
    DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kfilemetadata)

endif()

=== debian/changelog ===
kfilemetadata-kf5 (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: Remaining changes:
    Change l10n-packages.mk path to 3 to fix build. 
  * Revert that path change. Still fails. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:20:57 +0100

kfilemetadata-kf5 (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:35 +0100

kfilemetadata-kf5 (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:35 +0200

kfilemetadata-kf5 (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:38 +0100

kfilemetadata-kf5 (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:28 +0200

kfilemetadata-kf5 (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 14:40:58 +0200

kfilemetadata-kf5 (5.9.2-2) unstable; urgency=medium

  * Add the missing Breaks/Replaces. (Closes: #788582)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:07:58 +0200

kfilemetadata-kf5 (5.9.2-1) unstable; urgency=medium

  * New upstream release (5.9.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 20:38:02 +0200

kfilemetadata-kf5 (5.9.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.9.0).
  * Update symbols files.
  * New upstream release (5.9.1).

  [ Felix Geyer ]
  * Move qtbase5-dev dependency from libkf5filemetadata3 to
    libkf5filemetadata-dev. (Closes: #789655)
  * Remove XS-Testsuite control field, dpkg adds it automatically.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 23:39:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: catdoc,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                libattr1-dev,
                libavcodec-dev,
                libavdevice-dev,
@@ -14,14 +14,14 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.21),
-               libkf5archive-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
+               libkf5archive-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
                libpoppler-qt5-dev (>= 0.12.1),
                libpostproc-dev,
                libswscale-dev,
                libtag1-dev (>= 1.9~),
                pkg-config,
-               pkg-kde-tools (>= 0.15.16),
+               pkg-kde-tools (>= 0.15.18),
                qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kfilemetadata
@@ -48,10 +48,12 @@
 Multi-Arch: foreign
 Breaks: kde-l10n (<= 4:4.14.0-1),
         libkf5filemetadata2 (<< 5.6.0),
-        libkf5filemetadata5 (<< 5.0.0a)
+        libkf5filemetadata5 (<< 5.0.0a),
+        ${kde-l10n:all}
 Replaces: kde-l10n (<= 4:4.14.0-1),
           libkf5filemetadata2 (<< 5.6.0),
-          libkf5filemetadata5 (<< 5.0.0a)
+          libkf5filemetadata5 (<< 5.0.0a),
+          ${kde-l10n:all}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for extracting file metadata
  This library is for extracting file metadata.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+l10npkgs_firstversion_ok := 4:4.14.0-2
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kf5filemetadata3-dbg

## kfilemetadata-kf5 5.26.0

=== debian/changelog ===
kfilemetadata-kf5 (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:44:32 +0100

kfilemetadata-kf5 (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:40:42 +0000

kfilemetadata-kf5 (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:11:56 +0200

kfilemetadata-kf5 (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: Remaining changes:
  * Change that to No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release
  * Refreshed symbols

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:20:48 -0700

kfilemetadata-kf5 (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:23 +0100

kfilemetadata-kf5 (5.19.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Refreshing symbols

 -- Clive Johnston <clivejo@aol.com>  Sat, 05 Mar 2016 00:16:03 +0000

kfilemetadata-kf5 (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: catdoc,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                libattr1-dev,
                libavcodec-dev,
                libavdevice-dev,
@@ -14,8 +14,8 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.21),
-               libkf5archive-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
+               libkf5archive-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
                libpoppler-qt5-dev (>= 0.12.1),
                libpostproc-dev,
                libswscale-dev,
@@ -24,9 +24,9 @@
                pkg-kde-tools (>= 0.15.18),
                qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
-Homepage: https://projects.kde.org/projects/frameworks/kfilemetadata
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kfilemetadata.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kfilemetadata.git
+Homepage: https://projects.kde.org/projects/kde/workspace/kfilemetadata
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
 
 Package: libkf5filemetadata3
 Section: libs
@@ -86,16 +86,3 @@
  kfilemetadata is part of the KDE frameworks.
  .
  This package contains the development files.
-
-Package: kf5filemetadata3-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Recommends: qtbase5-dbg
-Depends: libkf5filemetadata3 (= ${binary:Version}), ${misc:Depends}
-Description: library for extracting file metadata
- This library is for extracting file metadata.
- .
- kfilemetadata is part of the KDE frameworks.
- .
- This package contains the debugging symbols.

## kfilemetadata-kf5 5.28.0

=== debian/changelog ===
kfilemetadata-kf5 (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:04:32 +0100

kfilemetadata-kf5 (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:01:03 +0200

kfilemetadata-kf5 (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:59:32 +0200

kfilemetadata-kf5 (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Aug 2016 09:09:50 +0200

kfilemetadata-kf5 (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 18:50:16 +0200

kfilemetadata-kf5 (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 16:10:06 +0200

kfilemetadata-kf5 (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update the vcs entries, kfilemetadata is a framework
  * Update acc test script

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 May 2016 15:20:50 +0200

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libattr1-dev,
               libavcodec-dev,
               libavdevice-dev (>= 1.0~),
               libavformat-dev,
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkf5archive-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libpostproc-dev,
               libswscale-dev,
               libtag1-dev (>= 1.9~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kfilemetadata
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kfilemetadata.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kfilemetadata.git

Package: libkf5filemetadata3
Section: libs
Architecture: any
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.28),
        libkf5baloo5 (<< 5.28),
        libkf5filemetadata2 (<< 5.6.0)
Replaces: libkf5filemetadata2 (<< 5.6.0)
Multi-Arch: same
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Breaks: kde-l10n (<= 4:4.14.0-1),
        libkf5filemetadata2 (<< 5.6.0),
        libkf5filemetadata5 (<< 5.0.0a),
        ${kde-l10n:all}
Replaces: kde-l10n (<= 4:4.14.0-1),
          libkf5filemetadata2 (<< 5.6.0),
          libkf5filemetadata5 (<< 5.0.0a),
          ${kde-l10n:all}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.

Package: libkf5filemetadata-bin
Architecture: any
Depends: catdoc, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-dev
Section: libdevel
Architecture: any
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5filemetadata1-dev
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the development files.
Breaks: baloo-kf5-dev (<< 5.28)

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kfilemetadata-([\d.]+)\.tar\.xz

## kfilemetadata-kf5 5.31.0

=== debian/changelog ===
kfilemetadata-kf5 (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Use the build-needed restriction instead of rebuilding the package
    instead of rebuilding the package in debian/tests/testuite.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:48 +0000

kfilemetadata-kf5 (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:35 +0000

kfilemetadata-kf5 (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:17:45 +0000

=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: catdoc,
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libattr1-dev,
               libavcodec-dev,
               libavdevice-dev (>= 1.0~),
               libavformat-dev,
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkf5archive-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libpostproc-dev,
               libswscale-dev,
               libtag1-dev (>= 1.9~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kfilemetadata
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata

Package: libkf5filemetadata3
Architecture: any
Multi-Arch: same
Section: libs
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5filemetadata-bin (= ${binary:Version})
Breaks: libkf5filemetadata2 (<< 5.6.0)
Replaces: libkf5filemetadata2 (<< 5.6.0)
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-l10n (<= 4:4.14.0-1),
        libkf5filemetadata2 (<< 5.6.0),
        libkf5filemetadata5 (<< 5.0.0a),
        ${kde-l10n:all}
Replaces: kde-l10n (<= 4:4.14.0-1),
          libkf5filemetadata2 (<< 5.6.0),
          libkf5filemetadata5 (<< 5.0.0a),
          ${kde-l10n:all}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-bin
Architecture: any
Multi-Arch: same
Depends: catdoc, ${misc:Depends}, ${shlibs:Depends}
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-dev
Architecture: any
Section: libdevel
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5filemetadata1-dev
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.
